### Method

# Clutter LayoutManager allocate

#### Declaration [src]

    void
    clutter_layout_manager_allocate (
      ClutterLayoutManager* manager,
      ClutterActor* container,
      const ClutterActorBox* allocation
    )

#### Description [src]

Allocates the children of `container` given an area

See also `clutter_actor_allocate()`.

#### Parameters

`container`

  Type: `ClutterActor`

  The `ClutterActor` using `manager`.

  The data is owned by the caller of the method.

`allocation`

  Type: `ClutterActorBox`

  The `ClutterActorBox` containing the allocated area of `container`.

  The data is owned by the caller of the method.